<%@ page import="com.sas.tutorials.scoringapi.Loan" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Score Loan</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
            <span class="menuButton"><g:link class="list" action="list">Loan List</g:link></span>
        </div>
        <div class="body">
            <h1>Score Loan</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${loanInstance}">
            <div class="errors">
                <g:renderErrors bean="${loanInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <input type="hidden" name="id" value="${loanInstance?.id}" />
                <input type="hidden" name="version" value="${loanInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="score">Score:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <b>${loanInstance?.score}<b>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    &nbsp;
                                </td>
                                <td valign="top" class="value ">
                                    &nbsp;
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="bad">In Default?:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="bad" name="bad" value="${loanInstance?.bad}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="reason">Loan Reason:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="reason" name="reason" value="${loanInstance?.reason}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="job">Job Type:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="job" name="job" value="${loanInstance?.job}"/>
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="loan">Current Loan Request:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="loan" name="loan" value="${loanInstance?.loan}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="mortdue">Amount Due on Current Mortgage:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="mortdue" name="mortdue" value="${loanInstance?.mortdue}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="val">Value of Current Property:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="val" name="val" value="${loanInstance?.val}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="debtinc">Debt to Income Ratio:</label>
                                </td>
                                <td valign="top" class="value }">
                                    <input type="text" id="debtinc" name="debtinc" value="${loanInstance?.debtinc}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="yoj">Years at Current Job:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="yoj" name="yoj" value="${loanInstance?.yoj}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="derog">Number of Major Derogatory Reports:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="derog" name="derog" value="${loanInstance?.derog}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="clno">Number of Credit Lines:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="clno" name="clno" value="${loanInstance?.clno}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="delinq">Number of Delinquent Credit Lines:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="delinq" name="delinq" value="${loanInstance?.delinq}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="clage">Age of Oldest Credit Line in Months:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="clage" name="clage" value="${loanInstance?.clage}" />
                                </td>
                            </tr> 
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ninq">Number of Recent Credit Inqueries:</label>
                                </td>
                                <td valign="top" class="value ">
                                    <input type="text" id="ninq" name="ninq" value="${loanInstance?.ninq}" />
                                </td>
                            </tr> 
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" value="Generate Score" action="Score"/></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
