dataSource {
    pooled = false
    driverClassName = "com.teradata.jdbc.TeraDriver"
    dialect = "org.hibernate.dialect.TeradataDialect"
    username = "UserID"
    password = "Password"
}

hibernate {
    cache.use_second_level_cache=true
    cache.use_query_cache=true
    cache.provider_class='com.opensymphony.oscache.hibernate.OSCacheProvider'
}

// environment specific settings
environments {
    development {
        dataSource {
            url = "jdbc:teradata://HostName/DATABASE=DatabaseName"
        }
    }
//  development {
//      dataSource {
//          dbCreate = "create-drop" // one of 'create', 'create-drop','update'
//          url = "jdbc:hsqldb:mem:devDB"
//      }
//  }
    test {
        dataSource {
            dbCreate = "update"
            url = "jdbc:hsqldb:mem:testDb"
        }
    }
    production {
        dataSource {
            dbCreate = "update"
            url = "jdbc:hsqldb:file:prodDb;shutdown=true"
        }
    }
}