package com.sas.tutorials.scoringapi

class LoanController {
    
	def scoreService

    def index = { redirect(action:list,params:params) }


    def list = {
        params.max = Math.min( params.max ? params.max.toInteger() : 10,  100)
        [ loanInstanceList: Loan.list( params ), loanInstanceTotal: Loan.count() ]
    }

    def preScore = {
        def loanInstance = Loan.get( params.id )
		render(view:'score',model:[loanInstance:loanInstance])
    }

    def score = {
        params.score = scoreService.runScoring(params)
        return ['loanInstance':params]
    }
}
