<%@ page import="com.sas.tutorials.scoringapi.Loan" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="layout" content="main" />
        <title>Loan List</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
        </div>
        <div class="body">
            <h1>Loan List</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                   	        <g:sortableColumn property="id" title="ID" />
                        
                   	        <g:sortableColumn property="bad" title="InDefault?" />
                        
                   	        <g:sortableColumn property="reason" title="LoanReason" />
                        
                   	        <g:sortableColumn property="job" title="JobType" />
                        
                   	        <g:sortableColumn property="loan" title="CurrentLoanReq" />
                        
                   	        <g:sortableColumn property="mortdue" title="AmtDueOnMortgage" />
                        
                   	        <g:sortableColumn property="val" title="ValueOfCurrentProperty" />
                        
                   	        <g:sortableColumn property="debtinc" title="DebtToIncomeRatio" />
                        
                   	        <g:sortableColumn property="yoj" title="YearsOnJob" />
                        
			<!-- Uncomment the following title tags to include them on the Loan List page.

                   	        <g:sortableColumn property="derog" title="#OfMajorDerogatoryReports" />
                        
                   	        <g:sortableColumn property="clno" title="#OfCreditLines" />
                        
                   	        <g:sortableColumn property="delinq" title="#OfDelinquentCreditLines" />
                        
                   	        <g:sortableColumn property="clage" title="AgeOfOldestCreditLineInMonths" />
                        
                   	        <g:sortableColumn property="ninq" title="#OfRecentCreditInqueries" />
                   -->
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${loanInstanceList}" status="i" var="loanInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="preScore" id="${loanInstance.id}">${fieldValue(bean:loanInstance, field:'id')}</g:link></td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'bad')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'reason')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'job')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'loan')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'mortdue')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'val')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'debtinc')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'yoj')}</td>
                        
                        <!-- Uncomment the following lines to include them on the Loan List page.
    
				    <td>${fieldValue(bean:loanInstance, field:'derog')}</td>

                        
                            <td>${fieldValue(bean:loanInstance, field:'clno')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'delinq')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'clage')}</td>
                        
                            <td>${fieldValue(bean:loanInstance, field:'ninq')}</td>
                        -->
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${loanInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
